%define upstream_name APScheduler
%define lc_upstream_name apscheduler

Name:           python-%{lc_upstream_name}
Version:        3.6.3
Release:        %mkrel 3
Summary:        In-process task scheduler with Cron-like capabilities
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/apscheduler/
Source0:        https://files.pythonhosted.org/packages/3d/e7/c63d49e5ac6feea330e837eaa6af1ce5c7ac9242288facc0aa71cb268a75/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Advanced Python Scheduler (APScheduler) is a Python library that lets you
schedule your Python code to be executed later, either just once or
periodically. You can add new jobs or remove old ones on the fly as you please.
If you store your jobs in a database, they will also survive scheduler restarts
and maintain their state. When the scheduler is restarted, it will then run all
the jobs it should have run while it was offline [1].

%package -n     python3-%{lc_upstream_name}
Summary:        In-process task scheduler with Cron-like capabilities
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description -n python3-%{lc_upstream_name}
Advanced Python Scheduler (APScheduler) is a Python library that lets you
schedule your Python code to be executed later, either just once or
periodically. You can add new jobs or remove old ones on the fly as you please.
If you store your jobs in a database, they will also survive scheduler restarts
and maintain their state. When the scheduler is restarted, it will then run all
the jobs it should have run while it was offline [1].

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{lc_upstream_name}
%doc README.rst
%{python3_sitelib}/apscheduler
%{python3_sitelib}/APScheduler-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 3.6.3-3.mga8
+ Revision: 1608254
- rebuild for removing pythonegg buildrequires in srpm

* Mon Feb 17 2020 umeabot <umeabot> 3.6.3-2.mga8
+ Revision: 1537687
- Mageia 8 Mass Rebuild

* Thu Nov 07 2019 guillomovitch <guillomovitch> 3.6.3-1.mga8
+ Revision: 1458664
- new version 3.6.3

* Wed Sep 18 2019 tv <tv> 3.6.0-2.mga8
+ Revision: 1443542
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 3.6.0-1.mga8
+ Revision: 1417222
- imported package python-apscheduler

